Namespace
Date: 2016-06-24

org.osgi.resource

## Class Namespace

- java.lang.Object
- - org.osgi.resource.Namespace

- Direct Known Subclasses:
    AbstractWiringNamespace, ExecutionEnvironmentNamespace, IdentityNamespace, NativeNamespace

      @ConsumerType
      public abstract class Namespace
      extends java.lang.Object

  Capability and Requirement Namespaces base class.

  This class is the common class shared by all OSGi defined namespaces. It defines the names for the common attributes and directives for the OSGi specified namespaces.

  The OSGi Alliance reserves the right to extend the set of directives and attributes which have specified semantics for all of the specified namespaces.

  The values associated with these keys are of type `String`, unless otherwise indicated.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CAPABILITY_EFFECTIVE_DIRECTIVE` The capability directive used to specify the effective time for the capability.
    `static java.lang.String` | `CAPABILITY_USES_DIRECTIVE` The capability directive used to specify the comma separated list of package names used by a capability.
    `static java.lang.String` | `CARDINALITY_MULTIPLE` The directive value identifying a multiple `cardinality` type.
    `static java.lang.String` | `CARDINALITY_SINGLE` The directive value identifying a `cardinality` type of single.
    `static java.lang.String` | `EFFECTIVE_ACTIVE` The directive value identifying a `capability` or `requirement` that is effective at active time.
    `static java.lang.String` | `EFFECTIVE_RESOLVE` The directive value identifying a `capability` or `requirement` that is effective at resolve time.
    `static java.lang.String` | `REQUIREMENT_CARDINALITY_DIRECTIVE` The requirement directive used to specify the cardinality for a requirement.
    `static java.lang.String` | `REQUIREMENT_EFFECTIVE_DIRECTIVE` The requirement directive used to specify the effective time for the requirement.
    `static java.lang.String` | `REQUIREMENT_FILTER_DIRECTIVE` The requirement directive used to specify a capability filter.
    `static java.lang.String` | `REQUIREMENT_RESOLUTION_DIRECTIVE` The requirement directive used to specify the resolution type for a requirement.
    `static java.lang.String` | `RESOLUTION_MANDATORY` The directive value identifying a mandatory requirement resolution type.
    `static java.lang.String` | `RESOLUTION_OPTIONAL` The directive value identifying an optional requirement resolution type.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Namespace()` Protected constructor for Namespace sub-types.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CAPABILITY_USES_DIRECTIVE

          public static final java.lang.String CAPABILITY_USES_DIRECTIVE

      The capability directive used to specify the comma separated list of package names used by a capability.
      See Also:
        Constant Field Values

    - #### CAPABILITY_EFFECTIVE_DIRECTIVE

          public static final java.lang.String CAPABILITY_EFFECTIVE_DIRECTIVE

      The capability directive used to specify the effective time for the capability. The default value is `resolve`.
      See Also:
        `resolve`, `active`, Constant Field Values

    - #### REQUIREMENT_FILTER_DIRECTIVE

          public static final java.lang.String REQUIREMENT_FILTER_DIRECTIVE

      The requirement directive used to specify a capability filter. This filter is used to match against a capability's attributes.
      See Also:
        Constant Field Values

    - #### REQUIREMENT_RESOLUTION_DIRECTIVE

          public static final java.lang.String REQUIREMENT_RESOLUTION_DIRECTIVE

      The requirement directive used to specify the resolution type for a requirement. The default value is `mandatory` .
      See Also:
        `mandatory`, `optional`, Constant Field Values

    - #### RESOLUTION_MANDATORY

          public static final java.lang.String RESOLUTION_MANDATORY

      The directive value identifying a mandatory requirement resolution type. A mandatory resolution type indicates that the requirement must be resolved when the resource is resolved. If such a requirement cannot be resolved, the resource fails to resolve.
      See Also:
        `REQUIREMENT_RESOLUTION_DIRECTIVE`, Constant Field Values

    - #### RESOLUTION_OPTIONAL

          public static final java.lang.String RESOLUTION_OPTIONAL

      The directive value identifying an optional requirement resolution type. An optional resolution type indicates that the requirement is optional and the resource may be resolved without the requirement being resolved.
      See Also:
        `REQUIREMENT_RESOLUTION_DIRECTIVE`, Constant Field Values

    - #### REQUIREMENT_EFFECTIVE_DIRECTIVE

          public static final java.lang.String REQUIREMENT_EFFECTIVE_DIRECTIVE

      The requirement directive used to specify the effective time for the requirement. The default value is `resolve`.
      See Also:
        `resolve`, `active`, Constant Field Values

    - #### EFFECTIVE_RESOLVE

          public static final java.lang.String EFFECTIVE_RESOLVE

      The directive value identifying a `capability` or `requirement` that is effective at resolve time. Capabilities and requirements with an effective time of resolve are the only capabilities which are processed while resolving a resource.
      See Also:
        `REQUIREMENT_EFFECTIVE_DIRECTIVE`, `CAPABILITY_EFFECTIVE_DIRECTIVE`, Constant Field Values

    - #### EFFECTIVE_ACTIVE

          public static final java.lang.String EFFECTIVE_ACTIVE

      The directive value identifying a `capability` or `requirement` that is effective at active time. Capabilities and requirements with an effective time of active are ignored while resolving a resource.
      See Also:
        `REQUIREMENT_EFFECTIVE_DIRECTIVE`, `CAPABILITY_EFFECTIVE_DIRECTIVE`, Constant Field Values

    - #### REQUIREMENT_CARDINALITY_DIRECTIVE

          public static final java.lang.String REQUIREMENT_CARDINALITY_DIRECTIVE

      The requirement directive used to specify the cardinality for a requirement. The default value is `single`.
      See Also:
        `multiple`, `single`, Constant Field Values

    - #### CARDINALITY_MULTIPLE

          public static final java.lang.String CARDINALITY_MULTIPLE

      The directive value identifying a multiple `cardinality` type.
      See Also:
        `REQUIREMENT_CARDINALITY_DIRECTIVE`, Constant Field Values

    - #### CARDINALITY_SINGLE

          public static final java.lang.String CARDINALITY_SINGLE

      The directive value identifying a `cardinality` type of single.
      See Also:
        `REQUIREMENT_CARDINALITY_DIRECTIVE`, Constant Field Values

  - ### Constructor Detail

    - #### Namespace

          protected Namespace()

      Protected constructor for Namespace sub-types.